formats: List content formats

API: pewresearch.org:pew-research-center-api
Endpoint: /wp/v2/formats
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 730ms

Description

Returns a collection of content format taxonomies (e.g., Chart, Dataset, Feature, Fact Sheet) with their IDs, counts, and associated content types. Use this to filter content by format or understand the content type taxonomy.

From spec: Retrieve content format types (e.g., Dataset, Fact Sheet, Feature, Report).

Usage Tips

- No authentication required - Results include format count (number of items using each format) - Formats are linked to multiple post types via _links.wp:post_type - Use format IDs to filter posts via the formats query parameter

Parameters (1)

per_page (integer, query, optional, default: 10)

Maximum number of items to return

Examples (1)

List All Content Formats probe-gate

Retrieves the complete taxonomy of content formats used to categorize Pew Research publications

curl 'https://www.pewresearch.org/wp-json/wp/v2/formats'
import requests

resp = requests.get("https://www.pewresearch.org/wp-json/wp/v2/formats")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pewresearch")
result = api.fetch("wp/v2/formats")

for item in result:
    print(item)
const resp = await fetch("https://www.pewresearch.org/wp-json/wp/v2/formats");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:39:31.861969 200 730ms
2026-04-16 02:12:06.094376 200 634ms
2026-04-15 01:37:44.829337 200 758ms
2026-04-14 02:04:29.839976 200 656ms
2026-04-12 16:37:36.712606 200 848ms
2026-04-10 00:21:43.983625 200 654ms
2026-04-09 03:22:54.447044 200 794ms